CYCLIENT(1)

NAME
cyclient - cyphesis world building client

SYNOPSIS
/usr/bin/cyclient [ --section:option=value ... ] [ package.function ]

DESCRIPTION

The cyclient program connects to a cyphesis server and populates the world with data.

OPTIONS

Configuration options are divided up into named sections, which need to be specified when modifying or overriding the options. In a config file the name of a section is specified in square brackets at the beginning of the section. On the command line the section is given at the beginning of the option specification, as shown in the synopsis above.

  CLIENT OPTIONS

The following options are present in the client section of the config file, and overriden by specifying the client section name on the command line.

package="define_world"
    Python package which contains the client function. This setting provides the name of the Python package which contains the function that should run by the client.

function="default"
    Python client function. This setting provides the Python function which should be run by the client.

  SERVER OPTIONS

The following options are present in the cyphesis section of the config file, and overriden by specifying the cyphesis section name on the command line. These options apply to the server, but are also required by the client to ensure that the client can connect.

tcpport=6767
    Network port for server TCP connections. Specifies the port number to use when connecting to the server.

unixport="cyphesis.sock"
    Local liston socket for Unix domain connections. Specifies the filename to use to listen for local trusted client connections.

AUTHOR

Written by Alistair Riddoch.

REPORTING BUGS

Report bugs to <general@worldforge.org>.

COPYRIGHT

Copyright 2004 Alistair Riddoch.

SEE ALSO

cyphesis(1), cyphesis-tools(1), cycmd(1)